[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| OOB_Visitor |

`#include <vigra/random_forest/rf_visitors.hxx>`

Inheritance diagram for OOB_Visitor:

List of all members.

## Public Member Functions
double | return_val ()
template<class RF, class PR, class SM, class ST>
void | visit_after_tree (RF &rf, PR &pr, SM &sm, ST &st, int index)
template<class RF, class PR>
void | visit_at_end (RF &rf, PR &pr)

## Detailed Description

Visitor that calculates the oob error of the random forest. this is the default visitor used.

To bored to comment each line of this class - trust me it works.

## Member Function Documentation

double return_val | ( |  | ) |

return a double value. The value of the first visitor encountered that has a return value is returned with the RandomForest::learn() method - or -1.0 if no return value visitor existed. This functionality basically only exists so that the OOB - visitor can return the oob error rate like in the old version of the random forest.

Reimplemented from VisitorBase.

template<class RF, class PR, class SM, class ST>
template<class RF, class PR, class SM, class ST>
template<class RF, class PR, class SM, class ST>
template<class RF, class PR, class SM, class ST>
template<class RF, class PR, class SM, class ST>
template<class RF, class PR, class SM, class ST>
template<class RF, class PR, class SM, class ST>
template<class RF, class PR, class SM, class ST>
template<class RF, class PR, class SM, class ST>
template<class RF, class PR, class SM, class ST>
template<class RF, class PR, class SM, class ST>
template<class RF, class PR, class SM, class ST>
template<class RF, class PR, class SM, class ST>
void visit_after_tree | ( | RF & | rf,
|  | PR & | pr,
|  | SM & | sm,
|  | ST & | st,
|  | int | index |
| ) |  |  |

does the basic calculation per tree

Reimplemented from VisitorBase.

template<class RF, class PR>
template<class RF, class PR>
template<class RF, class PR>
template<class RF, class PR>
template<class RF, class PR>
template<class RF, class PR>
template<class RF, class PR>
template<class RF, class PR>
template<class RF, class PR>
template<class RF, class PR>
template<class RF, class PR>
template<class RF, class PR>
template<class RF, class PR>
void visit_at_end | ( | RF & | rf,
|  | PR & | pr |
| ) |  |  |

Does the normalisation

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_visitors.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.7.1 (28 Sep 2010)